package org.jdtaus.banking.dtaus.swing;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class SearchBankleitzahlActionBundle{ 

/** <pre> Opens a dialog for searching a Bankleitzahl.</pre>. */
public static String getDescriptionText(final Locale locale) {
    return getMessage("description", locale);
}

/** <pre> Opens a dialog for searching a Bankleitzahl.</pre>. */
public static MessageFormat getDescriptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("description", locale), locale);
}

/** <pre> Could not get a Bankleitzahl from the traget text component.
Message: {0}
Text: {1}</pre>. */
public static String getParseExceptionWarningText(final Locale locale) {
    return getMessage("parseExceptionWarning", locale);
}

/** <pre> Could not get a Bankleitzahl from the traget text component.
Message: {0}
Text: {1}</pre>. */
public static MessageFormat getParseExceptionWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("parseExceptionWarning", locale), locale);
}

/** <pre> Bankcode search...</pre>. */
public static String getNameText(final Locale locale) {
    return getMessage("name", locale);
}

/** <pre> Bankcode search...</pre>. */
public static MessageFormat getNameMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("name", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.dtaus.swing.SearchBankleitzahlAction", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
